Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmc
Class PopLinkWitnessV2

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmc.PopLinkWitnessV2

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class PopLinkWitnessV2
extends ASN1Object

id-cmc-popLinkWitnessV2 OBJECT IDENTIFIER ::= { id-cmc 33 } PopLinkWitnessV2 ::= SEQUENCE { keyGenAlgorithm AlgorithmIdentifier, macAlgorithm AlgorithmIdentifier, witness OCTET STRING }

Constructor Summary
`PopLinkWitnessV2(AlgorithmIdentifier keyGenAlgorithm, AlgorithmIdentifier macAlgorithm, byte[] witness)`

Method Summary
`static PopLinkWitnessV2` | `getInstance(java.lang.Object o)`
`AlgorithmIdentifier` | `getKeyGenAlgorithm()`
`AlgorithmIdentifier` | `getMacAlgorithm()`
`byte[]` | `getWitness()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PopLinkWitnessV2

    public PopLinkWitnessV2(AlgorithmIdentifier keyGenAlgorithm,
                            AlgorithmIdentifier macAlgorithm,
                            byte[] witness)

Method Detail

### getInstance

    public static PopLinkWitnessV2 getInstance(java.lang.Object o)

### getKeyGenAlgorithm

    public AlgorithmIdentifier getKeyGenAlgorithm()

### getMacAlgorithm

    public AlgorithmIdentifier getMacAlgorithm()

### getWitness

    public byte[] getWitness()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD